Next: TTYNAM, Previous: TRANSPOSE, Up: Intrinsic Procedures

### 8.275 `TRIM` — Remove trailing blank characters of a string

Description:
  Removes trailing blank characters of a string.
Standard:
  Fortran 90 and later
Class:
  Transformational function
Syntax:
  `RESULT = TRIM(STRING)`
Arguments:

  STRING | Shall be a scalar of type `CHARACTER`.

Return value:
  A scalar of type `CHARACTER` which length is that of STRING less the number of trailing blanks.
Example:

                PROGRAM test_trim
                  CHARACTER(len=10), PARAMETER :: s = "GFORTRAN  "
                  WRITE(*,*) LEN(s), LEN(TRIM(s))  ! "10 8", with/without trailing blanks
                END PROGRAM

See also:
  ADJUSTL, ADJUSTR